.TH MKTAP 1
.SH NAME
mktap \(em ZX Spectrum TAP tape creator.
.SH SYNOPSIS
.SY mktap
.OP \-r
.OP \-t num
.I name
.RI [ start "] "
.BI < input " >" output.tap
.SY mktap
.OP \-b
.OP \-p str
.OP \-R file
.OP \-U
.OP \-V var
.OP \-r
.OP \-t num
.I name
.RI [ start "] "
.BI < input " >" output.tap
.SY mktap
.OP \-U
.OP \-V var
.OP \-r
.OP \-t num
.I name
.RI [ start "] "
.BI < input " >" output.tap
.YS
.SH DESCRIPTION
Takes a file and outputs it as a ZX Spectrum tape image.
It can be a raw binary file or a text file containing Basic program.
Since TAP files can be concatenated, sequence invocations
can be used to generate multi block tapes, like:

.RS
.EX
mktap -b "My program" 10    <program.bas >output.tap
mktap    "My program" 32768 <program.bin >>output.tap
.EE
.RE
.SH OPTIONS
.TP
.BI \-b
Convert text file to a tokenized Basic program.
Backtick is an escape character. `A ... `U introduces UDG's.
Line numbers are optional.
.TP
.BI \-p " prefix"
Consider only lines starting with specified string. The prefix itself is ignored.
This feature allows to write loaders within comments in assembly source.
.TP
.BI \-t " byte"
Force file type in the tape header (0: Program, 1: Number Array, 2: Character Array, 3: Bytes).
In case of bare data block (-r), it sets the marker byte (0: header, 255: data).
.TP
.BI \-r
Output data block without header. Name and start are ignored.
If this option is repeated, raw data is output (not a tape),
eg. to convert Basic to binary form. Name is ignored.
.TP
.BI \-R " file"
Put data in REM statement at the begining.
This option allowed only with Basic input declared (-b),
otherwise -U and -V options cause input itself to be put into REM.
.TP
.BI \-U
Call the code in REM.
.TP
.BI \-V " variable-name"
Set the variable to the address of the data in REM.
.SH AUTHOR
Jan Bobrowski
.UR http://torinak.com/~jb/zx/#mktap
.UE
